CSRF атака в Drupal Userpoints Module

Дата публикации:
31.01.2008
Всего просмотров:
1902
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal Userpoints Module 4.x
Drupal Userpoints Module 5.x
Уязвимые версии: Drupal Userpoints Module версии до 4.7.x-2.3, 5.x-2.16 и 5.x-3.3.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов перед выполнением некоторых действий. Удаленный пользователь может с помощью специально сформированного Web сайта произвести CSRF атаку.

URL производителя: drupal.org/project/userpoints

Решение: Установите последнюю версию 4.7.x-2.3, 5.x-2.16 или 5.x-3.3 с сайта производителя.

или введите имя

CAPTCHA